Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 259101 - Add sr-latin Xkb mapping and update Serbian keyboard layouts
Summary: Add sr-latin Xkb mapping and update Serbian keyboard layouts
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rhpl
Version: rawhide
Hardware: All
OS: All
medium
low
Target Milestone: ---
Assignee: Martin Sivák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 235709
TreeView+ depends on / blocked
 
Reported: 2007-08-28 06:32 UTC by Martin Sivák
Modified: 2008-02-27 12:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-27 12:48:18 UTC


Attachments (Terms of Use)
Add sr-latin mapping and update Serbian keyboard layouts (deleted)
2007-08-28 06:32 UTC, Martin Sivák
no flags Details | Diff

Description Martin Sivák 2007-08-28 06:32:14 UTC
Serbian locale in anaconda uses two different keyboards, adding mapping for them.

Comment 1 Martin Sivák 2007-08-28 06:32:14 UTC
Created attachment 175001 [details]
Add sr-latin mapping and update Serbian keyboard layouts

Comment 2 Martin Sivák 2007-08-28 06:38:56 UTC
We also neet to move the po file for sr@Latn to sr@latin

Comment 3 Ankit Patel 2007-09-19 12:32:04 UTC
I have done the necessary operations in the CVS to rename this file. Please
check the cvs & let me know if you need any more information on this...

Comment 4 Martin Sivák 2007-09-21 07:17:59 UTC
I added the mapping for sr-latin and it'll be in the next build I hope.

Comment 5 Ankit Patel 2007-09-21 10:44:13 UTC
I just realized that i made mistake with this.I am not supposed to rename the
file. Actually, this should never be renamed, as the standard locale name
sr@Latn is accepted all other major open source projects like Gnome...So, this
move is really improper. It should remain sr@Latn only. I guess keyboard-mapping
need to be changed to the correct one. So, i am reopening this bug & reverting
back the modifications i did.

Comment 6 Martin Sivák 2007-09-21 12:16:49 UTC
Are you sure the @Latn is correct? Because when you look at the firs comment for
#235709, is surely says @latin. I'll try to confirm it with the glibc guys to be
sure though.

Comment 7 Ankit Patel 2007-09-21 12:26:32 UTC
You are right, Glibc guys and the serbian language community guys are right
people to answer this...

Comment 8 Martin Sivák 2007-09-21 12:55:03 UTC
The file in rawhide glibc responsible for this locale is indeed named sr_RS@latin.

And I was given confirmation by Jakub Jelinek, that:
> the supported locale is sr_RS@latin

Comment 9 Miloš Komarčević 2007-09-21 16:17:59 UTC
It started of as @Latn as "Latn" was the ISO 15924 script identifier suggested
by Gnome devs quite some time ago. However, after going back and forth for
almost tow years with the glibc locale mainternaier this was not accapted
(insisting on lowercase latin, cyrillic, etc. for legacy reasons), so we had to
settle for @latin, and are in the process of slowly transitioning all projects
with some cooridination within the Serbian FLOSS community.

IMHO, both are fraught as the scripts shouldn't be handled by the @ modifier at
all because of matching order, but should be part of the language label, as in
CLDR locales and RFC 4646, e.g. sr_Latn_RS or sr-Latn-RS. Anyhow, this
discussion is certainly beyond the scope of this bug...

Comment 10 Martin Sivák 2008-02-27 12:48:18 UTC
Bug cleanup, fixed ages ago


Note You need to log in before you can comment on or make changes to this bug.